5.02.2 binary incompatible with 5.02.1

Martin Norbäck d95mback@dtek.chalmers.se
22 Jan 2002 17:00:20 +0100

tis 2002-01-22 klockan 15.48 skrev Simon Marlow:
> > I just noted that 5.02.2 is binary incompatible with 5.02.1 which is a
> > minor nuisance, since I must then recompile all my .o-files.
> > 
> > This was not mentioned in the release notes, perhaps it was
> > unintentional?
> Yes, this is the case for *all* releases of GHC, even minor ones(*).  It would be nice to improve this situation, but unfortunately retaining binary compatibility is not straightforward due to the high level of coupling between compiled modules - the price you pay for aggressive inter-module optimistaion.

Ok, then I would like to make a request that this fact is caught before
linking, since the linker error is a bit non-informative.

There is a version string in the .hi-file, but it only says 502, which
is the same in both releases, so it doesn't help.

Perhaps ghc should put 5022 there?



[ http://www.dtek.chalmers.se/~d95mback/ ] [ PGP: 0x453504F1 ] [ UIN:
4439498 ]
    Opinions expressed above are mine, and not those of my future
SIGBORE: Signature boring error, core dumped